<?php
if (!isset($_SESSION['ID'])) {
} else {
	echo "<h1>Vermieter / Verkäufer speichern...</h1>\n";
	$sql = 'UPDATE vv SET
		TID			= "'.$_POST['TID'].'",
		Anrede		= "'.$_POST['Anrede'].'",
		Vorname		= "'.$_POST['Vorname'].'",
		Nachname	= "'.$_POST['Nachname'].'",
		Adresse		= "'.$_POST['Adresse'].'",
		PLZ			= "'.$_POST['PLZ'].'",
		Ort			= "'.$_POST['Ort'].'",
		Telefon		= "'.$_POST['Telefon'].'",
		Fax			= "'.$_POST['Fax'].'",
		Mobil		= "'.$_POST['Mobil'].'",
		Firma		= "'.$_POST['Firma'].'",
		Email		= "'.$_POST['Email'].'",
		Sonstiges	= "'.$_POST['Sonstiges'].'",
		Intern		= "'.$_POST['Intern'].'"
	WHERE ID = "'.$_POST['ID'].'";';
	$stmt = $db->prepare($sql);
	if (!$stmt) {
		die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
	}
	if (!$stmt->execute()) {
		die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
	}
	echo "<p>Datensatz wurde gespeichert!</p>\n";
	if (isset($_POST['WID'])) {
		echo "<form action=\"index.php?section=Objekte&t=".$_POST['OTYP']."\" method=\"post\" />\n";
		echo "<fieldset>\n";
		echo "	<legend>weiter mit der Bearbeitung des Objekts</legend>\n";
		echo "	<input type=\"hidden\" name=\"VVID\" value=\"".$_POST['ID']."\" />\n";
		echo "	<input type=\"hidden\" name=\"ID\" value=\"".$_POST['WID']."\" />\n";
		echo "	<input type=\"submit\" name=\"formaction\" value=\"Bearbeiten\" />\n";
		echo "</fieldset>\n";
		echo "</form>\n";
	}

}
?>